%define ver_major 2.16
%def_enable man
%def_enable info
%def_disable beagle

# Uncomment exactly one of the following (the best choice is the lowest):
#define gecko_provider thunderbird
#define gecko_provider mozilla
#define gecko_provider seamonkey
#define gecko_provider firefox
%define gecko_provider xulrunner

Name: yelp
Version: %ver_major.2
Release: alt1

Summary: Lightweight help browser for GNOME
License: GPL
Group: Graphical desktop/GNOME
Url: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

# From configure.in
%define gnome_doc_utils 0.3.1
%define gnome_vfs_ver 1.1.0
%define gtk_ver 2.10.0
%define libgnome_ver 2.14.0
%define libgnomeui_ver 2.14.0
%define libxml_ver 2.6.5
%define libxslt_ver 1.1.4
%define startup_notification_ver 0.8
%define beagle_ver 0.2.4

PreReq: GConf2
Requires: gnome-doc-utils >= %gnome_doc_utils

# From configure.in
BuildPreReq: gnome-common
BuildPreReq: intltool >= 0.35
BuildPreReq: GConf2
BuildPreReq: gnome-doc-utils >= %gnome_doc_utils
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnome-devel >= %libgnome_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libxml2-devel >= %libxml_ver
BuildPreReq: libxslt-devel >= %libxslt_ver
BuildPreReq: libstartup-notification-devel >= %startup_notification_ver
BuildPreReq: libdbus-glib-devel
BuildPreReq: libX11-devel libXt-devel
%{?_enable_beagle:BuildPreReq: libbeagle-devel >= %beagle_ver}
BuildPreReq: gcc-c++ %gecko_provider-devel
BuildPreReq: zlib-devel bzlib-devel

%description
Yelp is a help browser for the GNOME desktop. Yelp provides
a simple graphical interface for viewing DocBook, HTML, man, and info
formatted documentation. The name Yelp was suggested by Daniel Lundin.
Yelp is pronounced the same as the swedish word for 'help'.

%prep
%setup -q

%build
%__autoreconf
%configure \
    --disable-install-schemas \
    --with-search=auto \
    %{subst_enable man} \
    %{subst_enable info}

%make_build

%install
%makeinstall

# yelp-pregenerate macro
%__mkdir_p %buildroot%_sysconfdir/rpm/macros.d
%__cat <<__EOF__ >%buildroot%_sysconfdir/rpm/macros.d/%name
%%_yelp_pregenerate_bin %%_bindir/yelp-pregenerate
%%yelp_pregenerate() \\
for h in %%*; do \\
    if [ -x %%_yelp_pregenerate_bin ]; then \\
	%%_yelp_pregenerate_bin \\
	%%_datadir/gnome/help/\$h/*/*.xml >/dev/null 2>&1 \\
    fi \\
done \\
%%nil
__EOF__

%__mkdir_p %buildroot%_sysconfdir/buildreqs/files/ignore.d
%__cat <<__EOF__ >%buildroot%_sysconfdir/buildreqs/files/ignore.d/%name
^%_sysconfdir/rpm/macros.d/%name$
__EOF__

%find_lang %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%_bindir/*
%_datadir/applications/*
%_datadir/%name
%_iconsdir/hicolor/192x192/apps/yelp-icon-big.png
%_sysconfdir/buildreqs/files/ignore.d/%name
%config %_sysconfdir/rpm/macros.d/%name
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog README NEWS TODO

%changelog
* Tue Feb 06 2007 Alexey Rusakov <ktirf@altlinux.org> 2.16.2-alt1
- new version (2.16.2)

* Sat Oct 07 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.1-alt2
- fixed building on x86_64.

* Tue Oct 03 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.1-alt1
- new version 2.16.1
- switched to xulrunner

* Fri Sep 22 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt2
- rebuild with new Firefox.

* Tue Sep 05 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt1
- new version 2.16.0 (with rpmrb script)

* Sat Aug 19 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.91-alt1
- new version (2.15.91)

* Tue Aug 08 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.5-alt1
- new version 2.15.5 (GNOME 2.16 beta)
- switched from Mozilla to Firefox (does it build?)

* Thu Jun 01 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.2-alt1
- new version 2.14.2 (with rpmrb script)

* Tue Apr 11 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.1-alt1
- new version 2.14.1 (with rpmrb script)

* Fri Mar 31 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.0-alt1
- new version (2.14.0)

* Wed Mar 08 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.5-alt2
- Fixed Gecko provider macros.

* Fri Feb 24 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.5-alt1
- new version (2.13.5)
- removed Debian stuff
- added Beagle switch (does nothing yet)
- added Gecko provider switch.

* Mon Jan 09 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.2-alt1
- new version

* Tue Nov 29 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.13.1-alt1
- new version

* Mon Nov 21 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt2
- Added rpath hack to the build due to Bug #8530.

* Sat Sep 24 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt1
- 2.12.1

* Sat Sep 10 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- 2.12.0
- Removed excess buildreqs.

* Mon Sep 05 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.11.92-alt1
- 2.11.92

* Mon Jun 13 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Fri Apr 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.3-alt1.1
- build current cvs snapshot.

* Fri Jan 14 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.3-alt1
- 2.9.3

* Mon Jan 03 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.2-alt1
- 2.9.2

* Wed Oct 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.4-alt1
- 2.6.4

* Tue Sep 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.3-alt1
- 2.6.3

* Tue Aug 31 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.2-alt1
- 2.6.2

* Sun Jul 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1.1
- updated buildreqs to make buildable.

* Wed Apr 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Tue Mar 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Tue Mar 09 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.90-alt1
- 2.5.90

* Wed Feb 25 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.6-alt1
- 2.5.6

* Tue Feb 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.5-alt1
- 2.5.5

* Thu Feb 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.4-alt1
- 2.5.4

* Tue Nov 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.2-alt1
- 2.4.2

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Wed Sep 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.90-alt1
- 2.3.90

* Tue Aug 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6-alt1
- 2.3.6

* Thu Jul 17 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Wed Jun 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Tue Apr 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.0-alt1
- 2.3.0

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Mon Dec 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Fri Nov 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2

* Tue Oct 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Sat Oct 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Tue Sep 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.6-alt1
- 1.0.6
- Group changed.

* Fri Jun 21 2002 Igor Androsov <blake@altlinux.ru> 1.0.1-alt1
- New version
- Fix Requires and BuildPreReq section
- Fix files section
- Cosmetic changes spec

* Wed Jun 19 2002 Igor Androsov <blake@altlinux.ru> 1.0-alt1
- Initial build for AltLinux
- Added make_build
- Added Icons for Menu
- Added menu file

* Sun May 19 2002 Igor Androsov <blace@mail.ru> 0.7.0-blk1
- New version from CVS
- Created spec
